webbutveckling

Loopia – inkompetenta eller bara lata?

I dagarna har Loopia gått ut med sitt periodvis återkommande erbjudande om ett års webbhotell för en krona. Eftersom jag håller på att starta ett nytt projekt och är sugen på att testa ett svenskt webbhotell (vanligtvis använder jag site5) så tänkte jag nappa på erbjudandet. Tills jag såg följande:

”Vi håller oss kontinuerligt uppdaterade på utvecklingen av PHP 5.x och när vi tycker att det är tillräckligt stabilt för att inte påverka våra kunders hemsidor negativt så kommer vi att börja testa samt om möjligt uppgradera till version 5.x.”

(Uppdatering: Texten är nu uppdaterad och som Emil Isberg från Loopia skriver i en kommentar så räknar Loopia nu med att migrera till php5 någon gång efter årsskiftet.)

Hm, förra versionen av php släpptes för sju år sedan. Den nya versionen, som Loopia tycker är lite väl äventyrlig, är över tre år gammal och har nu hunnit till version 5.2.4 (inte direkt beta med andra ord). Dokumentation för version 6 har redan börjat läggas in i manualen och support för php4 kommer att upphöra vid årsskiftet.

Böcker och artiklar som skrivs i dag utgår från php5. Allt fler mjukvaruprojekt för php väljer att släppa stödet för php4. Stora projekt som pear, Drupal, Zen Cart, osCommerce, Typo3, Midgard CMS och phpMyAdmin kommer alla att bryta kompabiliteten efter årsskiftet.

Att php5 skulle vara mindre stabilt än php4 är helt enkelt inte sant. Däremot så introducerar php5 många förbättringar i funktionalitet, säkerhet, och prestanda.

Varför Loopia väljer att stanna kvar i den krympande skaran webbhotell i B-kassen har jag svårt att förstå. Det har i vilket fall inget med stabilitet att göra.

Föregående inlägg Nästa inlägg

Du kanske också tycker om

Inga kommentarer

Skriv ett svar